Bug 1274659 - 'iptables' should support IPv6 transparently
'iptables' should support IPv6 transparently
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: dualstack
  Show dependency treegraph
 
Reported: 2015-10-23 05:54 EDT by Nikos Mavrogiannopoulos
Modified: 2016-04-13 11:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 11:50:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Mavrogiannopoulos 2015-10-23 05:54:56 EDT
Description of problem:

The current system of using different software (iptables vs ip6tables) for different versions of the IP stack is broken.  As the IPv6 transition moves ahead its unreasonable to expect the user to do the IP address parsing and decide to use the appropriate tool for the address. 

iptables should work like traceroute, ssh or all other applications supporting both protocol versions by default.

How reproducible:
Always

Steps to Reproduce:
1. iptables -I INPUT -i eth0 -d fe80::/64 -j ACCEPT

Actual results:
iptables v1.4.21: invalid mask `64' specified
Try `iptables -h' or 'iptables --help' for more information.
 
Expected results:
Rule is added.
Comment 1 Thomas Woerner 2015-10-23 10:13:28 EDT
A combined version will be available with nftables, which will be replacing the existing {ip,ip6,arp,eb}tables frameworks. There will be only one nft comamnd for all these frameworks together.

For more information on nftables, please have a look at http://netfilter.org/projects/nftables/
Comment 2 Nikos Mavrogiannopoulos 2015-10-23 10:22:23 EDT
Is that something we plan to switch on? (is it on working state?) If yes, let's close this bug when we have switched to nftables.
Comment 3 Thomas Woerner 2015-10-23 11:23:04 EDT
nftables is still in development and will most likely take some time still to get to into the working and stable state. There are different estimations from months to years.

There will not be a lot of development in the old iptables code besides work on the compatibility layer for nftables. A development like creating a unified tool will most likely not be possible and happening as this would require big code changes and rearrangements.
Comment 4 Jan Kurik 2016-02-24 08:51:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Thomas Woerner 2016-04-13 11:50:58 EDT
I am closing this as CANTFIX. 

The is not solvable with iptables. nft(ables) will provide it.

Note You need to log in before you can comment on or make changes to this bug.